This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### millis()
Examples |
    void draw() {
      int m = millis();
      noStroke();
      fill(m % 255);
      rect(25, 25, 50, 50);
    }
Description | Returns the number of milliseconds (thousandths of a second) since starting the program. This information is often used for timing events and animation sequences.
Syntax |
    millis()
Returns | int
Related | second() minute() hour() day() month() year()

Updated on October 26, 2013 08:58:30pm PDT